package com.bancarelvalentin.smgg.logic.enums.item

@Suppress("unused")
enum class CraftableItem(
    override val label: String,
    override val hasNoRecipe: Boolean = false,
    override val itemState: ItemState = ItemState.SOLID,
    val isSpacePart: Boolean = false,
    val isEquipment: Boolean = false,
) : Item {
    ADAPTIVE_CONTROL_UNIT("Adaptative Control unit", isSpacePart = true),
    AI_LIMITER("AI Limiter"),
    ALCLAD_ALUMINUM_SHEET("Alclad Aluminum Sheet"),
    ALUMINA_SOLUTION("Alumina Solution", itemState = ItemState.FUILD),
    ALUMINUM_CASING("Aluminum Casing"),
    ALUMINUM_INGOT("Aluminum Ingot"),
    ALUMINUM_SCRAP("Aluminum Scrap"),
    ASSEMBLY_DIRECTOR_SYSTEM("Assembly Director System", isSpacePart = true),
    AUTOMATED_WIRING("Automated Wiring", isSpacePart = true),
    BATTERY("Battery"),
    BEACON("Beacon"),
    BIOMASS("Biomass"),
    BLACK_POWDER("Black Powder"),
    CABLE("Cable"),
    CATERIUM_INGOT("Caterium Ingot"),
    CIRCUIT_BOARD("Circuit Board"),
    COLOR_CARTRIDGE("Color Cartridge", isEquipment = true),
    COMPACTED_COAL("Compacted Coal"),
    COMPUTER("Computer"),
    CONCRETE("Concrete"),
    COOLING_SYSTEM("Cooling System"),
    COPPER_INGOT("Copper Ingot"),
    COPPER_POWDER("Copper Powder"),
    COPPER_SHEET("Copper Sheet"),
    CRYSTAL_OSCILLATOR("Crystal Oscillator"),
    ELECTROMAGNETIC_CONTROL_ROD("Electromagnetic Control Rod"),
    EMPTY_CANISTER("Empty Canister"),
    EMPTY_FLUID_TANK("Empty Fluid Tank"),
    ENCASED_INDUSTRIAL_BEAM("Encased Industrial Beam"),
    ENCASED_PLUTONIUM_CELL("Encased Plutonium Cell"),
    ENCASED_URANIUM_CELL("Encased Uranium Cell"),
    FABRIC("Fabric"),
    FUEL("Fuel", itemState = ItemState.FUILD),
    FUSED_MODULAR_FRAME("Fused Modular Frame"),
    GAS_FILTER("Gas Filter", isEquipment = true),
    HEAT_SINK("Heat Sink"),
    HEAVY_MODULAR_FRAME("Heavy Modular Frame"),
    HEAVY_OIL_RESIDUE("Heavy Oil Residue", itemState = ItemState.FUILD),
    HIGH_SPEED_CONNECTOR("High-Speed Connector"),
    IODINE_INFUSED_FILTER("iodine Gas Filter", isEquipment = true),
    IRON_INGOT("Iron Ingot"),
    IRON_PLATE("Iron Plate"),
    IRON_ROD("Iron Rod"),
    LIQUID_BIOFUEL("Liquid Biofuel", itemState = ItemState.FUILD),
    MAGNETIC_FIELD_GENERATOR("Magnetic Field Generator", isSpacePart = true),
    MODULAR_ENGINE("Modular Engine", isSpacePart = true),
    MODULAR_FRAME("Modular Frame"),
    MOTOR("Motor"),
    NITRIC_ACID("Nitric Acid", itemState = ItemState.FUILD),
    NOBELISK("Nobelisk"),
    NON_FISSILE_URANIUM("Non-fissile Uranium"),
    NUCLEAR_PASTA("Nuclear Pasta", isSpacePart = true),
    PACKAGED_ALUMINA_SOLUTION("Packaged Alumina Solution"),
    PACKAGED_FUEL("Packaged Fuel"),
    PACKAGED_HEAVY_OIL_RESIDUE("Packaged Heavy Oil Residue"),
    PACKAGED_LIQUID_BIOFUEL("Packaged Liquid Biofuel"),
    PACKAGED_NITRIC_ACID("Packaged Nitric Acid"),
    PACKAGED_NITROGEN_GAS("Packaged Nitrogen Gas"),
    PACKAGED_OIL("Packaged Oil"),
    PACKAGED_SULFURIC_ACID("Packaged Sulfuric Acid"),
    PACKAGED_TURBOFUEL("Packaged Turbofuel"),
    PACKAGED_WATER("Packaged Water"),
    PETROLEUM_COKE("Petroleum Coke"),
    PLASTIC("Plastic"),
    PLUTONIUM_FUEL_ROD("Plutonium Fuel Rod"),
    PLUTONIUM_PELLET("Plutonium Pellet"),
    PLUTONIUM_WASTE("Plutonium Waste"),
    POLYMER_RESIN("Polymer Resin"),
    PORTABLE_MINER("Portable Miner", isEquipment = true),
    POWER_SHARD("Power Shard"),
    PRESSURE_CONVERSION_CUBE("Pressure Conversion Cube"),
    QUANTUM_COMPUTER("Quatum Computer", hasNoRecipe = true),
    QUARTZ_CRYSTAL("Quartz Crystal"),
    QUICKWIRE("Quickwire"),
    RADIO_CONTROL_UNIT("Radio Control Unit"),
    REINFORCED_IRON_PLATE("Reinforced Iron Plate"),
    RIFLE_CARTRIDGE("Riffle Cartridge", isEquipment = true),
    ROTOR("Rotor"),
    RUBBER("Rubber"),
    SCREW("Screw"),
    SILICA("Silica"),
    SMART_PLATING("Smart Plating", isSpacePart = true),
    SOLID_BIOFUEL("Solid Biofuel"),
    SPIKED_REBAR("Spiked Reabar", isEquipment = true),
    STATOR("Stator"),
    STEEL_BEAM("Steel Beam"),
    STEEL_INGOT("Steel Ingot"),
    STEEL_PIPE("Steel Pipe"),
    SULFURIC_ACID("Sulfuric Acid", itemState = ItemState.FUILD),
    SUPERCOMPUTER("Supercomputer"),
    THERMAL_PROPULSION_ROCKET("Thermal Propulsion Rocket", isSpacePart = true),
    TURBOFUEL("Turbofuel", itemState = ItemState.FUILD),
    TURBO_MOTOR("Turbo Motor"),
    URANIUM_FUEL_ROD("Uranium Fuel Rod"),
    URANIUM_WASTE("Uranium Waste"),
    VERSATILE_FRAMEWORK("Versatile Framework", isSpacePart = true),
    WIRE("Wire"),
}
